package cn.iocoder.yudao.module.asset.dal.mysql.returnorder;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.asset.dal.dataobject.returnorder.ReturnOrderVehicleDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ReturnOrderVehicleMapper extends BaseMapperX<ReturnOrderVehicleDO> {

    default List<ReturnOrderVehicleDO> selectListByReturnOrderId(Long returnOrderId) {
        return selectList(ReturnOrderVehicleDO::getReturnOrderId, returnOrderId);
    }

    default void deleteByReturnOrderId(Long returnOrderId) {
        delete(ReturnOrderVehicleDO::getReturnOrderId, returnOrderId);
    }

}
